Pular para o conteúdo principal
GET
/
cms
/
v3
/
blog-settings
/
settings
Recuperar todos os blogs
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blog-settings/settings \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "absoluteUrl": "<string>",
      "allowComments": true,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "language": "aa",
      "listingPageId": "<string>",
      "name": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publicTitle": "<string>",
      "slug": "<string>",
      "translatedFromId": "<string>",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {}
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Starter

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

createdAfter
string<date-time>
createdAt
string<date-time>
createdBefore
string<date-time>
limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

Resposta

successful operation

results
object[]
obrigatório
total
integer<int32>
obrigatório
paging
object

Model definition for paging.

Last modified on March 24, 2026